Subject: Re: linux-next: build failure after merge of the mm-hotfixes tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 25 Nov 2022 16:48:57 +1100

Hi Andrew,

On Thu, 24 Nov 2022 21:24:57 -0800 Andrew Morton <[email-masked]> wrote:
>
> On Fri, 25 Nov 2022 12:10:51 +1100 Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > After merging the mm-hotfixes tree, today's linux-next build (arm
> > allmodconfig) failed like this:
> > 
> > mm/vmscan.c:4090:9: error: implicit declaration of function ‘pmd_young’; did you mean ‘pte_young’? [-Werror=implicit-function-declaration]
> > 
> > Caused by commit
> > 
> >   3f85e711d5af ("mm: introduce arch_has_hw_nonleaf_pmd_young()")
> > 
> > This error was found by the kernel.ci bot and so is still int today's
> > tree.  
> 
> Thanks.  Did that tree include "mm: add dummy pmd_young() for
> architectures not having it"?

It did not when I merged the mm-hotfixes branch, but then I refetched
your trees during the day and so that patch appeared when I merged the
mm tree (which is now based on a later version of the mm-hotfixes
branch). So next-20221125 as a whole will not have the build failure.

After I merge all the "fixes" branches, I upload a "pending-updates"
branch that feeds into the various bots independently of the full next
tree.
-- 
Cheers,
Stephen Rothwell